html{
    *{margin:0;padding:0}
    >body{
        *{font-family:monospace;box-sizing:border-box;overflow-wrap:anywhere}
        svg{vertical-align:bottom}
        section{margin-left:.5rem}
        pre{white-space:pre-wrap}
        a{text-decoration:none}
        textarea{resize:none}
        >header{
            >*{
                >input[type=checkbox]{display:none}
                >svg{height:4rem;opacity:.5}
                &:nth-child(1){
                    &~*{margin-left:.5rem;transition:opacity 1s,visibility 1s}
                    &:has(>input[type=checkbox]:checked)~*{opacity:1;visibility:visible}
                    &:not(:has(>input[type=checkbox]:checked))~*{opacity:0;visibility:hidden}
                }
            }
            margin-bottom:.5rem;top:.5rem;position:sticky;width:fit-content
        }
        margin:.5rem
    }
    scroll-padding-top:5rem
}